
/*谷歌滚动条*/
::-webkit-scrollbar
{
    width: 13px !important;
    height: 13px !important;
}
::-webkit-scrollbar-track-piece
{
    background-color: rgb(230, 230, 230) !important;
    -webkit-border-radius: 0px !important;
}
::-webkit-scrollbar-track-piece:hover
{
    background-color: rgb(230, 230, 230) !important;
    -webkit-border-radius: 0px !important;
}
::-webkit-scrollbar-thumb:vertical
{
    height: 13px !important;
    background-color: rgb(185, 185, 185) !important;
}
::-webkit-scrollbar-thumb:horizontal
{
    width: 13px !important;
    background-color: rgb(185, 185, 185) !important;
}
::-webkit-scrollbar-thumb:vertical:hover
{
    height: 13px !important;
    background-color: rgb(92, 92, 92) !important;
}
::-webkit-scrollbar-thumb:horizontal:hover
{
    width: 13px !important;
    background-color: rgb(92, 92, 92) !important;
}
/*去除下划线*/
*{ text-decoration:none !important;    /*text-shadow: 0 0 0.5px !important;*/} 
/*字体选中后的颜色*/
::-moz-selection{background: rgba(144, 180, 216, 0.84);color: #FFF  !important; } 
::selection {background: rgba(144, 180, 216, 0.84);color: #FFF  !important;} 

/* torn */
span.del-flag { cursor: default; display: block; position: absolute; right: 25px; top: 9px; width: 18px; height: 18px; border-radius: 50%; background-color: red; color: #fff; z-index: 50; line-height: 14px; text-align: center; font-size: 21px; }
	
.framework .useful-links, .top-section, .recommonds { height: auto !important; }
	span.show-color { display: inline-block; width: 15px; height: 15px; border-radius: 50%; position: relative; top: 3px; }
	.singleLink { position: relative; }
	
	#tool-box { min-width: 60px; min-height: 60px; position: fixed; right: 50px; bottom: 50px; width: 60px; z-index: 999999999999999999; }
	#tool-box a { bottom: 0; margin-top: 15px; padding: 0px;line-height: 60px; font-size: 14px; position: absolute; border-radius: 50%; width: 60px; height: 60px; -webkit-transition: all 0.5s ease-in-out; -moz-transition: all 0.5s ease-in-out; transition: all 0.5s ease-in-out; }
	ul.recommonds>li { position: relative; }
	#tool-box.manage a:nth-of-type(1) { bottom: 130px; }
	#tool-box.manage a:nth-of-type(3) { bottom: 65px; }
	li>a>span.icon-box { color: #fff; text-shadow: 1px 1px #ccc; box-sizing: border-box; box-shadow: 0px 6px 9px rgba(0, 0, 0, 0.15); position: relative;  display: inline-block; width: 50px; height: 50px; border-radius: 8px; background-color: #ccc; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; word-wrap: normal; line-height: 50px; padding: 0 5px; font-size: 14px; }
	li.item>a>span.text-links { overflow: hidden; text-overflow: ellipsis; white-space: nowrap; word-wrap: normal; position: absolute; bottom: -13px; left: 26px; text-align: center; width: 50px; }
	/* 抖动 */
	ul.shake-slow>li img, ul.shake-slow>li span.icon-box {
	    transform-origin: center center;
		-webkit-animation-name: shake-slow;
		-ms-animation-name: shake-slow;
		animation-name: shake-slow;
		-webkit-animation-duration: 5s;
		-ms-animation-duration: 5s;
		animation-duration: 5s;
		-webkit-animation-iteration-count: infinite;
		-ms-animation-iteration-count: infinite;
		animation-iteration-count: infinite;
		-webkit-animation-timing-function: ease-in-out;
		-ms-animation-timing-function: ease-in-out;
		animation-timing-function: ease-in-out;
		-webkit-animation-delay: 0s;
		-ms-animation-delay: 0s;
		animation-delay: 0s;
		-webkit-animation-play-state: running;
		-ms-animation-play-state: running;
		animation-play-state: running
	}
	
	ul.shake-little>li img, ul.shake-little>li span.icon-box {
		-webkit-animation-name: shake-little;
		-ms-animation-name: shake-little;
		animation-name: shake-little;
		-webkit-animation-duration: 200ms;
		-ms-animation-duration: 200ms;
		animation-duration: 200ms;
		-webkit-animation-iteration-count: infinite;
		-ms-animation-iteration-count: infinite;
		animation-iteration-count: infinite;
		-webkit-animation-timing-function: ease-in-out;
		-ms-animation-timing-function: ease-in-out;
		animation-timing-function: ease-in-out;
		-webkit-animation-delay: 0s;
		-ms-animation-delay: 0s;
		animation-delay: 0s;
		-webkit-animation-play-state: running;
		-ms-animation-play-state: running;
		animation-play-state: running
	}
	
	ul.shake-rotate>li img, ul.shake-rotate>li span.icon-box {
		-webkit-animation-name: shake-rotate;
		-ms-animation-name: shake-rotate;
		animation-name: shake-rotate;
		-webkit-animation-duration: 500ms;
		-ms-animation-duration: 500ms;
		animation-duration: 500ms;
		-webkit-animation-iteration-count: infinite;
		-ms-animation-iteration-count: infinite;
		animation-iteration-count: infinite;
		-webkit-animation-timing-function: ease;
		-ms-animation-timing-function: ease-in-out;
		animation-timing-function: ease-in-out;
		-webkit-animation-delay: 0s;
		-ms-animation-delay: 0s;
		animation-delay: 0s;
		-webkit-animation-play-state: running;
		-ms-animation-play-state: running;
		animation-play-state: running
	}
	
@-webkit-keyframes shake-rotate {
	0% {
		-webkit-transform:rotate(0deg);
	}
	25% {
		-webkit-transform:rotate(7deg);
	}
	75% {
		-webkit-transform:rotate(-7deg);
	}
	100% {
		-webkit-transform:rotate(0deg);
	}
}

@keyframes shake-rotate {
	0% {
		transform:rotate(0deg);
	}
	25% {
		transform:rotate(7deg);
	}
	75% {
		transform:rotate(-7deg);
	}
	100% {
		transform:rotate(0deg);
	}
}

@-ms-keyframes shake-rotate {
	0% {
		-ms-transform:rotate(0deg);
	}
	25% {
		-ms-transform:rotate(7deg);
	}
	75% {
		-ms-transform:rotate(-7deg);
	}
	100% {
		-ms-transform:rotate(0deg);
	}
}


@-webkit-keyframes shake-little {
 0% {
 -webkit-transform: translate(0px, 0px) 
}
 2% {
 -webkit-transform: translate(-1px, 0px)  
}
 4% {
 -webkit-transform: translate(-1px, -1px)  
}
 6% {
 -webkit-transform: translate(-1px, -1px)  
}
 8% {
 -webkit-transform: translate(0px, 0px)  
}
 10% {
 -webkit-transform: translate(0px, -1px)  
}
 12% {
 -webkit-transform: translate(-1px, 0px)  
}
 14% {
 -webkit-transform: translate(-1px, -1px)  
}
 16% {
 -webkit-transform: translate(0px, 0px)  
}
 18% {
 -webkit-transform: translate(-1px, -1px)  
}
 20% {
 -webkit-transform: translate(-1px, -1px)  
}
 22% {
 -webkit-transform: translate(0px, -1px)  
}
 24% {
 -webkit-transform: translate(0px, 0px)  
}
 26% {
 -webkit-transform: translate(-1px, -1px)  
}
 28% {
 -webkit-transform: translate(-1px, -1px)  
}
 30% {
 -webkit-transform: translate(-1px, -1px)  
}
 32% {
 -webkit-transform: translate(0px, -1px)  
}
 34% {
 -webkit-transform: translate(-1px, -1px)  
}
 36% {
 -webkit-transform: translate(0px, -1px)  
}
 38% {
 -webkit-transform: translate(-1px, 0px)  
}
 40% {
 -webkit-transform: translate(0px, 0px)  
}
 42% {
 -webkit-transform: translate(-1px, -1px)  
}
 44% {
 -webkit-transform: translate(-1px, 0px)  
}
 46% {
 -webkit-transform: translate(0px, 0px)  
}
 48% {
 -webkit-transform: translate(-1px, -1px)  
}
 50% {
 -webkit-transform: translate(0px, 0px)  
}
 52% {
 -webkit-transform: translate(0px, 0px)  
}
 54% {
 -webkit-transform: translate(0px, 0px)  
}
 56% {
 -webkit-transform: translate(-1px, 0px)  
}
 58% {
 -webkit-transform: translate(0px, -1px)  
}
 60% {
 -webkit-transform: translate(-1px, -1px)  
}
 62% {
 -webkit-transform: translate(-1px, -1px)  
}
 64% {
 -webkit-transform: translate(-1px, 0px)  
}
 66% {
 -webkit-transform: translate(0px, 0px)  
}
 68% {
 -webkit-transform: translate(-1px, 0px)  
}
 70% {
 -webkit-transform: translate(0px, -1px)  
}
 72% {
 -webkit-transform: translate(0px, -1px)  
}
 74% {
 -webkit-transform: translate(-1px, -1px)  
}
 76% {
 -webkit-transform: translate(0px, 0px)  
}
 78% {
 -webkit-transform: translate(0px, -1px)  
}
 80% {
 -webkit-transform: translate(0px, -1px)  
}
 82% {
 -webkit-transform: translate(-1px, 0px)  
}
 84% {
 -webkit-transform: translate(-1px, 0px)  
}
 86% {
 -webkit-transform: translate(0px, 0px)  
}
 88% {
 -webkit-transform: translate(0px, 0px)  
}
 90% {
 -webkit-transform: translate(-1px, -1px)  
}
 92% {
 -webkit-transform: translate(0px, 0px)  
}
 94% {
 -webkit-transform: translate(0px, 0px)  
}
 96% {
 -webkit-transform: translate(-1px, -1px)  
}
 98% {
 -webkit-transform: translate(0px, 0px)  
}
}
@-ms-keyframes shake-little {
 0% {
 -ms-transform: translate(0px, 0px) 
}
 2% {
 -ms-transform: translate(0px, 0px)  
}
 4% {
 -ms-transform: translate(0px, 0px)  
}
 6% {
 -ms-transform: translate(-1px, 0px)  
}
 8% {
 -ms-transform: translate(0px, -1px)  
}
 10% {
 -ms-transform: translate(0px, 0px)  
}
 12% {
 -ms-transform: translate(0px, -1px)  
}
 14% {
 -ms-transform: translate(0px, -1px)  
}
 16% {
 -ms-transform: translate(0px, 0px)  
}
 18% {
 -ms-transform: translate(0px, 0px)  
}
 20% {
 -ms-transform: translate(-1px, 0px)  
}
 22% {
 -ms-transform: translate(-1px, -1px)  
}
 24% {
 -ms-transform: translate(-1px, 0px)  
}
 26% {
 -ms-transform: translate(-1px, 0px)  
}
 28% {
 -ms-transform: translate(0px, -1px)  
}
 30% {
 -ms-transform: translate(0px, -1px)  
}
 32% {
 -ms-transform: translate(0px, -1px)  
}
 34% {
 -ms-transform: translate(0px, -1px)  
}
 36% {
 -ms-transform: translate(0px, -1px)  
}
 38% {
 -ms-transform: translate(-1px, 0px)  
}
 40% {
 -ms-transform: translate(0px, -1px)  
}
 42% {
 -ms-transform: translate(-1px, -1px)  
}
 44% {
 -ms-transform: translate(-1px, -1px)  
}
 46% {
 -ms-transform: translate(0px, -1px)  
}
 48% {
 -ms-transform: translate(0px, -1px)  
}
 50% {
 -ms-transform: translate(-1px, 0px)  
}
 52% {
 -ms-transform: translate(-1px, -1px)  
}
 54% {
 -ms-transform: translate(-1px, 0px)  
}
 56% {
 -ms-transform: translate(0px, -1px)  
}
 58% {
 -ms-transform: translate(0px, -1px)  
}
 60% {
 -ms-transform: translate(-1px, 0px)  
}
 62% {
 -ms-transform: translate(0px, -1px)  
}
 64% {
 -ms-transform: translate(-1px, 0px)  
}
 66% {
 -ms-transform: translate(-1px, -1px)  
}
 68% {
 -ms-transform: translate(0px, 0px)  
}
 70% {
 -ms-transform: translate(-1px, 0px)  
}
 72% {
 -ms-transform: translate(-1px, 0px)  
}
 74% {
 -ms-transform: translate(-1px, -1px)  
}
 76% {
 -ms-transform: translate(-1px, 0px)  
}
 78% {
 -ms-transform: translate(-1px, 0px)  
}
 80% {
 -ms-transform: translate(0px, -1px)  
}
 82% {
 -ms-transform: translate(-1px, -1px)  
}
 84% {
 -ms-transform: translate(0px, -1px)  
}
 86% {
 -ms-transform: translate(0px, -1px)  
}
 88% {
 -ms-transform: translate(0px, -1px)  
}
 90% {
 -ms-transform: translate(-1px, -1px)  
}
 92% {
 -ms-transform: translate(0px, 0px)  
}
 94% {
 -ms-transform: translate(0px, -1px)  
}
 96% {
 -ms-transform: translate(-1px, 0px)  
}
 98% {
 -ms-transform: translate(0px, -1px)  
}
}
@keyframes shake-little {
 0% {
 transform: translate(0px, 0px) 
}
 2% {
 transform: translate(-1px, -1px)  
}
 4% {
 transform: translate(-1px, -1px)  
}
 6% {
 transform: translate(0px, 0px)  
}
 8% {
 transform: translate(0px, -1px)  
}
 10% {
 transform: translate(-1px, -1px)  
}
 12% {
 transform: translate(0px, 0px)  
}
 14% {
 transform: translate(0px, 0px)  
}
 16% {
 transform: translate(0px, -1px)  
}
 18% {
 transform: translate(0px, 0px)  
}
 20% {
 transform: translate(-1px, -1px)  
}
 22% {
 transform: translate(-1px, -1px)  
}
 24% {
 transform: translate(-1px, -1px)  
}
 26% {
 transform: translate(-1px, 0px)  
}
 28% {
 transform: translate(0px, -1px)  
}
 30% {
 transform: translate(0px, -1px)  
}
 32% {
 transform: translate(0px, 0px)  
}
 34% {
 transform: translate(0px, -1px)  
}
 36% {
 transform: translate(-1px, 0px)  
}
 38% {
 transform: translate(-1px, -1px)  
}
 40% {
 transform: translate(0px, 0px)  
}
 42% {
 transform: translate(-1px, -1px)  
}
 44% {
 transform: translate(-1px, 0px)  
}
 46% {
 transform: translate(-1px, -1px)  
}
 48% {
 transform: translate(0px, -1px)  
}
 50% {
 transform: translate(0px, -1px)  
}
 52% {
 transform: translate(0px, 0px)  
}
 54% {
 transform: translate(-1px, 0px)  
}
 56% {
 transform: translate(0px, 0px)  
}
 58% {
 transform: translate(0px, 0px)  
}
 60% {
 transform: translate(0px, 0px)  
}
 62% {
 transform: translate(0px, -1px)  
}
 64% {
 transform: translate(0px, 0px)  
}
 66% {
 transform: translate(-1px, -1px)  
}
 68% {
 transform: translate(0px, -1px)  
}
 70% {
 transform: translate(0px, 0px)  
}
 72% {
 transform: translate(-1px, -1px)  
}
 74% {
 transform: translate(-1px, -1px)  
}
 76% {
 transform: translate(-1px, 0px)  
}
 78% {
 transform: translate(0px, 0px)  
}
 80% {
 transform: translate(0px, -1px)  
}
 82% {
 transform: translate(-1px, 0px)  
}
 84% {
 transform: translate(-1px, -1px)  
}
 86% {
 transform: translate(0px, -1px)  
}
 88% {
 transform: translate(0px, 0px)  
}
 90% {
 transform: translate(-1px, -1px)  
}
 92% {
 transform: translate(-1px, 0px)  
}
 94% {
 transform: translate(-1px, 0px)  
}
 96% {
 transform: translate(0px, -1px)  
}
 98% {
 transform: translate(0px, -1px)  
}
}
	

	@-webkit-keyframes shake-slow {
	 0% {
	 -webkit-transform: translate(0px, 0px) 
	}
	2% {
    -webkit-transform: translate(-0.5px, 0.5px) rotate(0.5deg); }
  4% {
    -webkit-transform: translate(-0.5px, -0.5px) rotate(0.5deg); }
  6% {
    -webkit-transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  8% {
    -webkit-transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  10% {
    -webkit-transform: translate(2.5px, -1.5px) rotate(1.5deg); }
  12% {
    -webkit-transform: translate(-1.5px, 2.5px) rotate(-0.5deg); }
  14% {
    -webkit-transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  16% {
    -webkit-transform: translate(-1.5px, -1.5px) rotate(0.5deg); }
  18% {
    -webkit-transform: translate(0.5px, -1.5px) rotate(0.5deg); }
  20% {
    -webkit-transform: translate(2.5px, -1.5px) rotate(0.5deg); }
  22% {
    -webkit-transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  24% {
    -webkit-transform: translate(1.5px, 1.5px) rotate(-0.5deg); }
  26% {
    -webkit-transform: translate(1.5px, -0.5px) rotate(0.5deg); }
  28% {
    -webkit-transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  30% {
    -webkit-transform: translate(1.5px, 2.5px) rotate(-0.5deg); }
  32% {
    -webkit-transform: translate(1.5px, 1.5px) rotate(1.5deg); }
  34% {
    -webkit-transform: translate(-1.5px, 0.5px) rotate(-0.5deg); }
  36% {
    -webkit-transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  38% {
    -webkit-transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  40% {
    -webkit-transform: translate(1.5px, -0.5px) rotate(1.5deg); }
  42% {
    -webkit-transform: translate(0.5px, -1.5px) rotate(1.5deg); }
  44% {
    -webkit-transform: translate(-1.5px, -1.5px) rotate(1.5deg); }
  46% {
    -webkit-transform: translate(2.5px, 2.5px) rotate(1.5deg); }
  48% {
    -webkit-transform: translate(0.5px, 0.5px) rotate(0.5deg); }
  50% {
    -webkit-transform: translate(1.5px, -1.5px) rotate(-0.5deg); }
  52% {
    -webkit-transform: translate(-1.5px, 2.5px) rotate(-0.5deg); }
  54% {
    -webkit-transform: translate(-1.5px, -0.5px) rotate(-0.5deg); }
  56% {
    -webkit-transform: translate(1.5px, 0.5px) rotate(0.5deg); }
  58% {
    -webkit-transform: translate(0.5px, -0.5px) rotate(0.5deg); }
  60% {
    -webkit-transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  62% {
    -webkit-transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  64% {
    -webkit-transform: translate(1.5px, -0.5px) rotate(0.5deg); }
  66% {
    -webkit-transform: translate(0.5px, -1.5px) rotate(-0.5deg); }
  68% {
    -webkit-transform: translate(-0.5px, 0.5px) rotate(1.5deg); }
  70% {
    -webkit-transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  72% {
    -webkit-transform: translate(2.5px, -0.5px) rotate(-0.5deg); }
  74% {
    -webkit-transform: translate(0.5px, 1.5px) rotate(-0.5deg); }
  76% {
    -webkit-transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  78% {
    -webkit-transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  80% {
    -webkit-transform: translate(2.5px, -1.5px) rotate(0.5deg); }
  82% {
    -webkit-transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  84% {
    -webkit-transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  86% {
    -webkit-transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  88% {
    -webkit-transform: translate(0.5px, 2.5px) rotate(-0.5deg); }
  90% {
    -webkit-transform: translate(2.5px, 1.5px) rotate(1.5deg); }
  92% {
    -webkit-transform: translate(-1.5px, -1.5px) rotate(0.5deg); }
  94% {
    -webkit-transform: translate(-0.5px, -1.5px) rotate(-0.5deg); }
  96% {
    -webkit-transform: translate(-0.5px, -1.5px) rotate(0.5deg); }
  98% {
    -webkit-transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  0%, 100% {
    -webkit-transform: translate(0, 0) rotate(0); } 
	}
	@-ms-keyframes shake-slow {
	 0% {
	 -ms--ms-transform: translate(0px, 0px) 
	}
	2% {
    -ms-transform: translate(-0.5px, 0.5px) rotate(0.5deg); }
  4% {
    -ms-transform: translate(-0.5px, -0.5px) rotate(0.5deg); }
  6% {
    -ms-transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  8% {
    -ms-transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  10% {
    -ms-transform: translate(2.5px, -1.5px) rotate(1.5deg); }
  12% {
    -ms-transform: translate(-1.5px, 2.5px) rotate(-0.5deg); }
  14% {
    -ms-transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  16% {
    -ms-transform: translate(-1.5px, -1.5px) rotate(0.5deg); }
  18% {
    -ms-transform: translate(0.5px, -1.5px) rotate(0.5deg); }
  20% {
    -ms-transform: translate(2.5px, -1.5px) rotate(0.5deg); }
  22% {
    -ms-transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  24% {
    -ms-transform: translate(1.5px, 1.5px) rotate(-0.5deg); }
  26% {
    -ms-transform: translate(1.5px, -0.5px) rotate(0.5deg); }
  28% {
    -ms-transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  30% {
    -ms-transform: translate(1.5px, 2.5px) rotate(-0.5deg); }
  32% {
    -ms-transform: translate(1.5px, 1.5px) rotate(1.5deg); }
  34% {
    -ms-transform: translate(-1.5px, 0.5px) rotate(-0.5deg); }
  36% {
    -ms-transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  38% {
    -ms-transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  40% {
    -ms-transform: translate(1.5px, -0.5px) rotate(1.5deg); }
  42% {
    -ms-transform: translate(0.5px, -1.5px) rotate(1.5deg); }
  44% {
    -ms-transform: translate(-1.5px, -1.5px) rotate(1.5deg); }
  46% {
    -ms-transform: translate(2.5px, 2.5px) rotate(1.5deg); }
  48% {
    -ms-transform: translate(0.5px, 0.5px) rotate(0.5deg); }
  50% {
    -ms-transform: translate(1.5px, -1.5px) rotate(-0.5deg); }
  52% {
    -ms-transform: translate(-1.5px, 2.5px) rotate(-0.5deg); }
  54% {
    -ms-transform: translate(-1.5px, -0.5px) rotate(-0.5deg); }
  56% {
    -ms-transform: translate(1.5px, 0.5px) rotate(0.5deg); }
  58% {
    -ms-transform: translate(0.5px, -0.5px) rotate(0.5deg); }
  60% {
    -ms-transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  62% {
    -ms-transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  64% {
    -ms-transform: translate(1.5px, -0.5px) rotate(0.5deg); }
  66% {
    -ms-transform: translate(0.5px, -1.5px) rotate(-0.5deg); }
  68% {
    -ms-transform: translate(-0.5px, 0.5px) rotate(1.5deg); }
  70% {
    -ms-transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  72% {
    -ms-transform: translate(2.5px, -0.5px) rotate(-0.5deg); }
  74% {
    -ms-transform: translate(0.5px, 1.5px) rotate(-0.5deg); }
  76% {
    -ms-transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  78% {
    -ms-transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  80% {
    -ms-transform: translate(2.5px, -1.5px) rotate(0.5deg); }
  82% {
    -ms-transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  84% {
    -ms-transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  86% {
    -ms-transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  88% {
    -ms-transform: translate(0.5px, 2.5px) rotate(-0.5deg); }
  90% {
    -ms-transform: translate(2.5px, 1.5px) rotate(1.5deg); }
  92% {
    -ms-transform: translate(-1.5px, -1.5px) rotate(0.5deg); }
  94% {
    -ms-transform: translate(-0.5px, -1.5px) rotate(-0.5deg); }
  96% {
    -ms-transform: translate(-0.5px, -1.5px) rotate(0.5deg); }
  98% {
    -ms-transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  0%, 100% {
    -ms-transform: translate(0, 0) rotate(0); } 
	}
	@keyframes shake-slow {
2% {
    transform: translate(-0.5px, 0.5px) rotate(0.5deg); }
  4% {
    transform: translate(-0.5px, -0.5px) rotate(0.5deg); }
  6% {
    transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  8% {
    transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  10% {
    transform: translate(2.5px, -1.5px) rotate(1.5deg); }
  12% {
    transform: translate(-1.5px, 2.5px) rotate(-0.5deg); }
  14% {
    transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  16% {
    transform: translate(-1.5px, -1.5px) rotate(0.5deg); }
  18% {
    transform: translate(0.5px, -1.5px) rotate(0.5deg); }
  20% {
    transform: translate(2.5px, -1.5px) rotate(0.5deg); }
  22% {
    transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  24% {
    transform: translate(1.5px, 1.5px) rotate(-0.5deg); }
  26% {
    transform: translate(1.5px, -0.5px) rotate(0.5deg); }
  28% {
    transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  30% {
    transform: translate(1.5px, 2.5px) rotate(-0.5deg); }
  32% {
    transform: translate(1.5px, 1.5px) rotate(1.5deg); }
  34% {
    transform: translate(-1.5px, 0.5px) rotate(-0.5deg); }
  36% {
    transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  38% {
    transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  40% {
    transform: translate(1.5px, -0.5px) rotate(1.5deg); }
  42% {
    transform: translate(0.5px, -1.5px) rotate(1.5deg); }
  44% {
    transform: translate(-1.5px, -1.5px) rotate(1.5deg); }
  46% {
    transform: translate(2.5px, 2.5px) rotate(1.5deg); }
  48% {
    transform: translate(0.5px, 0.5px) rotate(0.5deg); }
  50% {
    transform: translate(1.5px, -1.5px) rotate(-0.5deg); }
  52% {
    transform: translate(-1.5px, 2.5px) rotate(-0.5deg); }
  54% {
    transform: translate(-1.5px, -0.5px) rotate(-0.5deg); }
  56% {
    transform: translate(1.5px, 0.5px) rotate(0.5deg); }
  58% {
    transform: translate(0.5px, -0.5px) rotate(0.5deg); }
  60% {
    transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  62% {
    transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  64% {
    transform: translate(1.5px, -0.5px) rotate(0.5deg); }
  66% {
    transform: translate(0.5px, -1.5px) rotate(-0.5deg); }
  68% {
    transform: translate(-0.5px, 0.5px) rotate(1.5deg); }
  70% {
    transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  72% {
    transform: translate(2.5px, -0.5px) rotate(-0.5deg); }
  74% {
    transform: translate(0.5px, 1.5px) rotate(-0.5deg); }
  76% {
    transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  78% {
    transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  80% {
    transform: translate(2.5px, -1.5px) rotate(0.5deg); }
  82% {
    transform: translate(0.5px, 1.5px) rotate(0.5deg); }
  84% {
    transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  86% {
    transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  88% {
    transform: translate(0.5px, 2.5px) rotate(-0.5deg); }
  90% {
    transform: translate(2.5px, 1.5px) rotate(1.5deg); }
  92% {
    transform: translate(-1.5px, -1.5px) rotate(0.5deg); }
  94% {
    transform: translate(-0.5px, -1.5px) rotate(-0.5deg); }
  96% {
    transform: translate(-0.5px, -1.5px) rotate(0.5deg); }
  98% {
    transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  0%, 100% {
    transform: translate(0, 0) rotate(0); } 
	}